get
https://api.hrflow.ai/v1/profiles/scoring
This endpoint allows you to Score Profiles for Job.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Prerequisites
Scoring activationScoring must be activated for the source used. Please activate scoring from our developer platform:
- On your HrFlow developer account, navigate to Connections > My Sources
- Click on the source you are willing to use for scoring
- In AI Modules tab, scroll down and turn the "Profile Scoring API" switch on
Request headers
| Field | Value |
|---|---|
X-API-KEY | Your API Key. |
X-USER-EMAIL | Your HrFlow.ai account's email. |
Query ParametersThe
job_keyand thejob_referencecannot be null at the same time in the Query Parameters.
Request Method SelectionThis endpoint supports both GET and POST. When query parameters exceed the maximum allowed URL length, clients should use the POST variant and send the same parameters in the request body (see the changelog).
ResponseThis endpoint returns a
dataobject containing two objects:
- Profiles: array of objects Profile.
- Predictions: array of arrays of floats [ 1-score, score ]. Example: [0.49184858798980713, 0.50815147161483765].
